eventids2.c File Reference
`#include "eventids2table.c"`

Go to the source code of this file.

## Data Structures

struct | token_assoc

## Macros

#define | tIGNORED_NL (tLAST_TOKEN + 1)
#define | tCOMMENT (tLAST_TOKEN + 2)
#define | tEMBDOC_BEG (tLAST_TOKEN + 3)
#define | tEMBDOC (tLAST_TOKEN + 4)
#define | tEMBDOC_END (tLAST_TOKEN + 5)
#define | tSP (tLAST_TOKEN + 6)
#define | tHEREDOC_BEG (tLAST_TOKEN + 7)
#define | tHEREDOC_END (tLAST_TOKEN + 8)
#define | k__END__ (tLAST_TOKEN + 9)

## Functions

static void | ripper_init_eventids2 (VALUE self)
static ID | ripper_token2eventid (int tok)

## Variables

static ID | ripper_id_backref
static ID | ripper_id_backtick
static ID | ripper_id_comma
static ID | ripper_id_const
static ID | ripper_id_cvar
static ID | ripper_id_embexpr_beg
static ID | ripper_id_embexpr_end
static ID | ripper_id_embvar
static ID | ripper_id_float
static ID | ripper_id_gvar
static ID | ripper_id_ident
static ID | ripper_id_int
static ID | ripper_id_ivar
static ID | ripper_id_kw
static ID | ripper_id_lbrace
static ID | ripper_id_lbracket
static ID | ripper_id_lparen
static ID | ripper_id_nl
static ID | ripper_id_op
static ID | ripper_id_period
static ID | ripper_id_rbrace
static ID | ripper_id_rbracket
static ID | ripper_id_rparen
static ID | ripper_id_semicolon
static ID | ripper_id_symbeg
static ID | ripper_id_tstring_beg
static ID | ripper_id_tstring_content
static ID | ripper_id_tstring_end
static ID | ripper_id_words_beg
static ID | ripper_id_qwords_beg
static ID | ripper_id_words_sep
static ID | ripper_id_regexp_beg
static ID | ripper_id_regexp_end
static ID | ripper_id_label
static ID | ripper_id_tlambda
static ID | ripper_id_tlambeg
static ID | ripper_id_ignored_nl
static ID | ripper_id_comment
static ID | ripper_id_embdoc_beg
static ID | ripper_id_embdoc
static ID | ripper_id_embdoc_end
static ID | ripper_id_sp
static ID | ripper_id_heredoc_beg
static ID | ripper_id_heredoc_end
static ID | ripper_id___end__
static ID | ripper_id_CHAR
static struct token_assoc | token_to_eventid []

## Macro Definition Documentation

#define k__END__ (tLAST_TOKEN + 9)

Definition at line 9 of file eventids2.c.

Referenced by parser_yylex().

#define tCOMMENT (tLAST_TOKEN + 2)

Definition at line 2 of file eventids2.c.

Referenced by parser_yylex().

#define tEMBDOC (tLAST_TOKEN + 4)

Definition at line 4 of file eventids2.c.

Referenced by parser_yylex().

#define tEMBDOC_BEG (tLAST_TOKEN + 3)

Definition at line 3 of file eventids2.c.

Referenced by parser_yylex().

#define tEMBDOC_END (tLAST_TOKEN + 5)

Definition at line 5 of file eventids2.c.

Referenced by parser_yylex().

#define tHEREDOC_BEG (tLAST_TOKEN + 7)

Definition at line 7 of file eventids2.c.

Referenced by parser_heredoc_identifier().

#define tHEREDOC_END (tLAST_TOKEN + 8)

Definition at line 8 of file eventids2.c.

#define tIGNORED_NL (tLAST_TOKEN + 1)

Definition at line 1 of file eventids2.c.

Referenced by parser_yylex().

#define tSP (tLAST_TOKEN + 6)

Definition at line 6 of file eventids2.c.

Referenced by parser_yylex().

## Function Documentation

static void ripper_init_eventids2 | ( | VALUE | self | ) |

static

Definition at line 62 of file eventids2.c.

References rb_intern_const, ripper_id___end__, ripper_id_backref, ripper_id_backtick, ripper_id_CHAR, ripper_id_comma, ripper_id_comment, ripper_id_const, ripper_id_cvar, ripper_id_embdoc, ripper_id_embdoc_beg, ripper_id_embdoc_end, ripper_id_embexpr_beg, ripper_id_embexpr_end, ripper_id_embvar, ripper_id_float, ripper_id_gvar, ripper_id_heredoc_beg, ripper_id_heredoc_end, ripper_id_ident, ripper_id_ignored_nl, ripper_id_int, ripper_id_ivar, ripper_id_kw, ripper_id_label, ripper_id_lbrace, ripper_id_lbracket, ripper_id_lparen, ripper_id_nl, ripper_id_op, ripper_id_period, ripper_id_qwords_beg, ripper_id_rbrace, ripper_id_rbracket, ripper_id_regexp_beg, ripper_id_regexp_end, ripper_id_rparen, ripper_id_semicolon, ripper_id_sp, ripper_id_symbeg, ripper_id_tlambda, ripper_id_tlambeg, ripper_id_tstring_beg, ripper_id_tstring_content, ripper_id_tstring_end, ripper_id_words_beg, ripper_id_words_sep, and ripper_init_eventids2_table().

static ID ripper_token2eventid | ( | int | tok | ) |

static

Definition at line 267 of file eventids2.c.

References token_assoc::id, NULL, rb_eRuntimeError, rb_raise(), ripper_id_CHAR, token_assoc::token, and token_to_eventid.

## Variable Documentation

ID ripper_id___end__

static

Definition at line 56 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_backref

static

Definition at line 11 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_backtick

static

Definition at line 12 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_CHAR

static

Definition at line 57 of file eventids2.c.

Referenced by ripper_init_eventids2(), and ripper_token2eventid().

ID ripper_id_comma

static

Definition at line 13 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_comment

static

Definition at line 49 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_const

static

Definition at line 14 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_cvar

static

Definition at line 15 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_embdoc

static

Definition at line 51 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_embdoc_beg

static

Definition at line 50 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_embdoc_end

static

Definition at line 52 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_embexpr_beg

static

Definition at line 16 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_embexpr_end

static

Definition at line 17 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_embvar

static

Definition at line 18 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_float

static

Definition at line 19 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_gvar

static

Definition at line 20 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_heredoc_beg

static

Definition at line 54 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_heredoc_end

static

Definition at line 55 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_ident

static

Definition at line 21 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_ignored_nl

static

Definition at line 48 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_int

static

Definition at line 22 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_ivar

static

Definition at line 23 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_kw

static

Definition at line 24 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_label

static

Definition at line 44 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_lbrace

static

Definition at line 25 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_lbracket

static

Definition at line 26 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_lparen

static

Definition at line 27 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_nl

static

Definition at line 28 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_op

static

Definition at line 29 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_period

static

Definition at line 30 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_qwords_beg

static

Definition at line 40 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_rbrace

static

Definition at line 31 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_rbracket

static

Definition at line 32 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_regexp_beg

static

Definition at line 42 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_regexp_end

static

Definition at line 43 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_rparen

static

Definition at line 33 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_semicolon

static

Definition at line 34 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_sp

static

Definition at line 53 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_symbeg

static

Definition at line 35 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_tlambda

static

Definition at line 45 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_tlambeg

static

Definition at line 46 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_tstring_beg

static

Definition at line 36 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_tstring_content

static

Definition at line 37 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_tstring_end

static

Definition at line 38 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_words_beg

static

Definition at line 39 of file eventids2.c.

Referenced by ripper_init_eventids2().

ID ripper_id_words_sep

static

Definition at line 41 of file eventids2.c.

Referenced by ripper_init_eventids2().

struct token_assoc token_to_eventid[]

static

Referenced by ripper_token2eventid().